Technology weblog

IT-Essence
Monday Dec 08, 2008

Problem starting Ganymede profiler under Gentoo

Recently I discovered that I could not start the Eclipse (Ganymede) profiler by right clicking on a Java application and selecting Profile As -> Java Application. The monitor tab in the configuration window would show: "The launch requires at least one data collector to be selected." On the Internet I found this post that suggested to look in my workspace/.metadata/.log file. Indeed, I found various entries stating "ACServer: error while loading shared libraries: libstdc++-libc6.2-2.so.3: cannot open shared object file: No such file or directory". The solution was an installation of lib-compat: emerge lib-compat solved the problem, even without a restart of Eclipse!

Comments:

Post a Comment:
Comments are closed for this entry.

Hire us
Archives
Tags
Links
Stats
Referrers